import request from '@/utils/request'

// 获取场馆信息
export const typeQueryService = (data) => request.post('/type/queryAll', data)

// 修改场馆信息
export const typeUpdateService = (data) => request.post('/type/update', data)

// 添加场馆信息
export const typeCreateService = (data) => request.post('/type/create', data)

// 获取场馆照片资源
export const typeImgService = (tid) => request.get('/type/data?tid=' + tid)

// 上传场馆照片
export const siteImgUploadService = (formData) =>
  request.post('/type/upload', formData)

// 获取场馆名称列表
export const typeNameService = () => request.get('/type/name')

// 移除场馆信息
export const typeDelService = (tid) => request.get('/type/remove?id=' + tid)

// 查询某个场馆信息
export const typeOneService = (id) => request.get(`/type/select/${id}`)
